<?php

namespace App\Models\Account;

use App\Models\Account\Account;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AccountTransaction extends Model
{
    use HasFactory;
    
    // A transaction belongs to an account
    public function account()
    {
        return $this->belongsTo(Account::class);
    }
}
