<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;

class TruckStatus extends Model
{
    use HasFactory;

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }
    

    

}
