<?php

namespace App\Models\GoodsMove;

use App\Models\Booking\BookGr;
use App\Models\Booking\GrDesc;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChallanReceiptDesc extends Model
{
    use HasFactory;
   
    public function challan_receipt()
    {
        return $this->belongsTo(ChallanReceipt::class, 'challan_receipt_id');
    }

    public function challan()
    {
        return $this->belongsTo(Challan::class, 'challan_id');
    }

    public function book_gr()
    {
        return $this->belongsTo(BookGr::class, 'gr_id');
    }

    public function challan_desc()
    {
        return $this->belongsTo(ChallanDesc::class, 'challan_desc_id');
    }

    public function bookGr()
    {
        return $this->belongsTo(BookGr::class, 'gr_id');
    }

    public function gr_desc()
    {
        return $this->belongsTo(GrDesc::class, 'gr_desc_id');
    }
}
