<?php

namespace App\Models\GoodsMove;

use App\Models\Booking\BookGr;
use App\Models\Booking\GrDesc;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UnloadingDesc extends Model
{
    use HasFactory;

    public function unloading()
    {
        return $this->belongsTo(Unloading::class, 'unloading_id');
    }

    public function bookGr()
    {
        return $this->belongsTo(BookGr::class, 'gr_id');
    }

    public function gr_desc()
    {
        return $this->belongsTo(GrDesc::class, 'gr_desc_id');
    }


}
