<?php

namespace App\Models\HR;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Salary extends Model
{
    use HasFactory;

    public function ss_desc()
    {
        return $this->hasMany(SalaryDesc::class, 'salary_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function expense()
    {
        return $this->belongsTo(Account::class, 'exp_id');
    }
}
