<?php

namespace App\Models\Master;

use App\Models\Master\Station;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FuelAllocationMaster extends Model
{
    use HasFactory;

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }
}
