<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class IssueBooks extends Model
{
    use HasFactory;
     
    // ISSUE BOOKS BELONGS TO A BRANCH (ONE TO MANY)
    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }
    
    // ISSUE BOOKS BELONGS TO A PARTY (ONE TO MANY)
    public function party()
    {
        return $this->belongsTo(Party::class);
    }
}
