<?php


namespace App\Http\Traits;

use App\Models\Z_Core\EditLog;

trait EditLogTrait
{
    public function createEditLog($operation, $tableName, $recordId, $refValue, $oldValues, $newValues, $userId, $fin_year)
    {
        EditLog::create([
            'operation' => $operation,
            'table_name' => $tableName,
            'record_id' => $recordId,
            'ref_value' => $refValue,
            'old_values' => json_encode($oldValues),
            'new_values' => json_encode($newValues),
            'user_id' => $userId,
            'fin_year' => $fin_year
        ]);
    }
}