<?php

namespace App\Models\Ankita;

use App\Models\Master\Branch;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ankita extends Model
{
    use HasFactory;

    protected $table = 'stations';

    // STATION CAN BELONG TO ONE DELIVERY BRANCH (MANY TO ONE)
    public function delivery_branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id', 'id');
    }


}
