<?php

namespace App\Models\FleetOwner;

use App\Models\Booking\BookGr;
use App\Models\GoodsMove\Challan;
use App\Models\GoodsMove\ChallanDesc;
use App\Models\Pod\Pod;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LorryHireBillDesc extends Model
{
    use HasFactory;

    public function lh_bill()
    {
        return $this->belongsTo(LorryHireBill::class, 'lhb_id');
    }

    public function challan()
    {
        return $this->belongsTo(Challan::class, 'challan_id');
    }

    public function  challan_desc()
    {
        return $this->belongsTo(ChallanDesc::class, 'challan_id','challan_id');
    }
}
