<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Route extends Model
{
    use HasFactory;

    // ROUTE CAN HAVE MANY STATIONS (MANY TO MANY)
    public function stations()
    {
        return $this->belongsToMany(Station::class, 'route_station');
    }
    
    // ROUTE CAN HAVE MANY VEHICLES (MANY TO MANY)
    public function vehicles()
    {
        return $this->belongsToMany(Vehicle::class, 'route_vehicles');
    }
}
